@tailwind base;
@tailwind components;
@tailwind utilities;

* {
    overflow-x: hidden;
}

#root {
    min-height: 100vh;
    background-color: rgb(138, 146, 222);
    position: relative;
}

.header {
    background-color: rgb(80, 95, 232);
    color: aliceblue;
    width: 100%;
}

.mainWrap {
    min-height: calc(100vh - 115px);
    /* Вычитаем высоту футера из высоты .mainWrap */
    flex-grow: 0;
    /* Изменено свойство на flex-grow: 0; */
    flex-shrink: 0;
    /* Добавлено свойство flex-shrink: 0; */
    padding-bottom: 115px;
    display: flex;
    justify-content: center;
    overflow-y: auto;
}

.headerWrap {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1170px;
    margin: 0 auto;
}

.formWrap {
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgb(129, 140, 248);
}

.registerForm {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 30px;
    padding: 40px;
    border-radius: 5px;
    background-color: rgb(186, 193, 255);
}

.logOutBtn {
    padding: 10px;
    background-color: rgb(129, 140, 248);
    border-radius: 5px;
    margin: 20px 0;
    transition: background-color .3s linear;
}

.logOutBtn:hover {
    background-color: rgb(97, 107, 191);
    color: bisque;
}

.textWrap {
    display: flex;
    gap: 15px;
}

.footer {
    background-color: rgb(80, 95, 232);
    text-align: center;
    color: aliceblue;
    font-weight: 500;
    width: 100%;
    position: fixed;
    bottom: 0;
    padding: 20px 0;
}